Loading...
Searching...
No Matches
multitypeblockmatrix.hh File Reference
`#include <cmath>`
`#include <iostream>`
`#include <tuple>`
`#include <dune/common/hybridutilities.hh>`
`#include "istlexception.hh"`
`#include "gsetc.hh"`

Go to the source code of this file.

## Classes

class | Dune::MultiTypeBlockMatrix< FirstRow, Args >
| A Matrix class to support different block types. More...
struct | Dune::FieldTraits< MultiTypeBlockMatrix< Rows... > >
class | Dune::MultiTypeBlockMatrix_Solver_Col< I, crow, ccol, remain_col >
| part of solvers for MultiTypeBlockVector & MultiTypeBlockMatrix types More...
class | Dune::MultiTypeBlockMatrix_Solver_Col< I, crow, ccol, 0 >
class | Dune::MultiTypeBlockMatrix_Solver< I, crow, remain_row >
| solver for MultiTypeBlockVector & MultiTypeBlockMatrix types More...
class | Dune::MultiTypeBlockMatrix_Solver< I, crow, 0 >
struct | std::tuple_element< i, Dune::MultiTypeBlockMatrix< Args... > >
| Make std::tuple_element work for MultiTypeBlockMatrix. More...
struct | std::tuple_size< Dune::MultiTypeBlockMatrix< Args... > >
| Make std::tuple_size work for MultiTypeBlockMatrix. More...

## Namespaces

namespace | Dune
namespace | std
| STL namespace.

## Functions

template<typename T1, typename... Args>
std::ostream & | Dune::operator<< (std::ostream &s, const MultiTypeBlockMatrix< T1, Args... > &m)
| << operator for a MultiTypeBlockMatrix